### Method

# FwupdPlugin FdtFirmware get_image_by_path

#### Declaration [src]

    FuFdtImage*
    fu_fdt_firmware_get_image_by_path (
      FuFdtFirmware* self,
      const gchar* path,
      GError** error
    )

#### Description [src]

Gets the FDT image for a specific path.

Available since: | 1.8.2

#### Parameters

`path` | `const gchar*`
| ID path, e.g. `/images/firmware-1`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuFdtImage`
| A `FuFirmware`, or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.